org.apache.sysds.runtime.controlprogram.parfor.util

## Class PairWritableBlock

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.util.PairWritableBlock

- All Implemented Interfaces:
    Serializable, org.apache.hadoop.io.Writable

      public class PairWritableBlock
      extends Object
      implements org.apache.hadoop.io.Writable, Serializable

  Custom writable for a pair of matrix indexes and matrix block as required for binaryblock in remote data partitioning.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MatrixBlock` | `block`
    `MatrixIndexes` | `indexes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PairWritableBlock()`
    `PairWritableBlock(MatrixIndexes ix, MatrixBlock mb)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFields(DataInput in)`
    `void` | `write(DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### indexes

          public MatrixIndexes indexes

    - #### block

          public MatrixBlock block

  - ### Constructor Detail

    - #### PairWritableBlock

          public PairWritableBlock()

    - #### PairWritableBlock

          public PairWritableBlock(MatrixIndexes ix,
                                   MatrixBlock mb)

  - ### Method Detail

    - #### readFields

          public void readFields(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `org.apache.hadoop.io.Writable`
      Throws:
        `IOException`

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `org.apache.hadoop.io.Writable`
      Throws:
        `IOException`

Copyright © 2020 The Apache Software Foundation. All rights reserved.